ZODB 3.2.2 beta 1 released

Tim Peters tim@zope.com
Fri, 11 Jun 2004 16:48:56 -0400

I'm pleased to announce the release of ZODB 3.2.2 beta 1.  This is a bugfix
release for the ZODB 3.2 line, and will be the version of ZODB released with
Zope 2.7.1b2.

The ZODB 3.2.2b1 release requires Python 2.3.3 or later.  The ZODB 3.2 line
supports Zope 2 only; Zope 3 requires ZODB 3.3.

You can download a source tarball or Windows installer from:


The changes since ZODB 3.2.1 consist of bugfixes, to BTrees, parts of ZODB
proper, and support tools.  See the news file for details:


Important notes about Berkeley-based storages:

Support for the experimental Berkeley-based storages has been dropped:  they
created more problems than the community has been able to fix, and nobody
has done work on them for many months.  Unfortunately, removing the code for
BDBFullStorage and BDBMinimalStorage is also delicate, and it still exists
in this release.  We recommend not using it; the Berkeley code has already
been removed from the ZODB 3.3 line.

Note too that if you don't have "the right" version of Sleepycat Berkeley DB
installed on your system, ZODB's test suite may fail-- or even segfault --as
a result.  This isn't an issue on Windows, because Python on Windows
includes a suitable Sleepycat release (4.1.25).  The problem appears most
likely to occur on Linux systems with a bsddb from the later 4.2 line.
While there's no resource to work on Berkeley problems, I'll at least try to
disable the Berkeley tests for ZODB 3.2.2 final.